%define dist HTML-Parser
Name: perl-%dist
Version: 3.45
Release: alt1.M24

Summary: Parsing and extracting information from HTML documents
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

# http://rt.cpan.org/NoAuth/Bug.html?id=13409
Patch0: %name-3.45-alt-XSLoader.patch

# Automatically added by buildreq on Fri Jan 07 2005
BuildRequires:  perl-HTML-Tagset perl-URI perl-devel perl-i18n

%description
This is a collection of perl modules that parse and extract
information from HTML documents.

%prep
%setup -q -n %dist-%version
%patch0 -p1

%ifdef __buildreqs
# avoid build dependency on perl-libwww
%__rm -fv t/headparser-http.t
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README TODO
%perl_vendor_archlib/HTML
%perl_vendor_autolib/HTML

%changelog
* Fri Sep 09 2005 Eugene Ostapets <eostapets@altlinux.ru> 3.45-alt1.M24
- backport to Master 2.4

* Sat Jun 25 2005 Alexey Tourbin <at@altlinux.ru> 3.45-alt2
- added support for XSLoader (cpan #13409)

* Fri Jan 07 2005 Alexey Tourbin <at@altlinux.ru> 3.45-alt1
- 3.43 -> 3.45

* Sun Dec 19 2004 Alexey Tourbin <at@altlinux.ru> 3.43-alt1
- 3.36 -> 3.43
- HTML-TokeParser-Simple decoupled because of extra build dependencies
- manual pages not packaged (use perldoc)

* Mon Apr 19 2004 Alexey Tourbin <at@altlinux.ru> 3.36-alt1
- 3.35 -> 3.36
- packaged HTML-TokeParser-Simple-2.2 here (laziness is a virtue)

* Mon Dec 15 2003 Alexey Tourbin <at@altlinux.ru> 3.35-alt1
- 3.35

* Tue Oct 28 2003 Alexey Tourbin <at@altlinux.ru> 3.34-alt1
- 3.34; segfault fixed: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=217616
- alt-unicode.patch: enable support for unicode entities

* Fri Oct 17 2003 Alexey Tourbin <at@altlinux.ru> 3.33-alt1
- 3.33

* Thu Aug 28 2003 Alexey Tourbin <at@altlinux.ru> 3.31-alt1
- 3.31

* Mon Apr 28 2003 Alexey Tourbin <at@altlinux.ru> 3.28-alt1
- 3.28

* Fri Mar 14 2003 Alexey Tourbin <at@altlinux.ru> 3.27-alt1
- 3.27
- spec file cleanup; sample programs added to docs

* Tue Oct 22 2002 Alexey Tourbin <at@altlinux.ru> 3.26-alt2
- rebuilt for perl-5.8 with new rpm macros

* Wed Apr 03 2002 Stanislav Ievlev <inger@altlinux.ru> 3.26-alt1
- 3.26

* Tue Aug 21 2001 Stanislav Ievlev <inger@altlinux.ru> 3.25-alt1
- 3.25

* Mon Jul 23 2001 Stanislav Ievlev <inger@altlinux.ru> 3.18-alt2
- Rebuilt with new perl

* Mon Jun 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.18-alt1
- Rebuilt with perl-5.6.1
- Some spec cleanup

* Sun Jan 28 2001 Mikhail Zabaluev <zabaluev@parascript.com> 3.15-ipl1mdk
- Updated:
  + version 3.15
- Changed:
  + Sisyphus adaptations

* Wed Jun 28 2000 Mikhail Zabaluev <mookid@sigent.ru> 3.09-1mdk_mhz
- new version
- redid filelist

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.05-4mdk
- Fix build for i486
- Use %%_tmppath for BuildRoot

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 3.05-3mdk
- rebuild, new group, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.5-1mdk
- upgrade to 3.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
-updated to 3.02

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 2.23

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
